E2IMAGE(8)

NUME
e2image - salvează metadatele critice ale sistemului de fișiere ext2/ext3/ext4 într-un fișier

SINOPSIS
e2image [-r|-Q [-af]] [ -b superbloc ] [ -B dimensiune-bloc ] [ -cnps ] [ -o poziție-sursă ] [ -O poziție-destinație ] dispozitiv fișier-imagine
e2image -I dispozitiv fișier-imagine

DESCRIERE
Programul e2image va salva metadatele critice ale sistemului de fișiere ext2, ext3 sau ext4 localizate pe dispozitiv într-un fișier specificat de fișier-imagine. Fișierul imagine poate fi examinat de dumpe2fs și debugfs, prin utilizarea opțiunii -i a acestor programe. Acest lucru poate ajuta un expert în recuperarea sistemelor de fișiere corupte în mod catastrofal.

Este o idee foarte bună să creați fișiere imagine pentru toate sistemele de fișiere dintr-un sistem și să salvați aspectul partițiilor (care poate fi generat cu ajutorul comenzii fdisk -l) la intervale regulate --- la pornire și/sau la fiecare săptămână sau cam așa ceva. Fișierul imagine ar trebui să fie stocat pe un alt sistem de fișiere decât sistemul de fișiere ale cărui date le conține, pentru a se asigura că aceste date sunt accesibile în cazul în care sistemul de fișiere a fost grav avariat.

Pentru a economisi spațiu pe disc, e2image creează fișierul de imagine ca fișier dispersat sau în format QCOW2. Prin urmare, dacă fișierul de imagine dispersat trebuie copiat într-o altă locație, acesta trebuie fie comprimat mai întâi, fie copiat folosind opțiunea --sparse=always din versiunea GNU a cp(1). Acest lucru nu se aplică în cazul imaginii QCOW2, care nu este dispersată.

Dimensiunea unui fișier imagine ext2 depinde în primul rând de dimensiunea sistemelor de fișiere și de numărul de noduri-i utilizate. Pentru un sistem de fișiere tipic de 10 Gigaocteți., cu 200.000 de noduri-i utilizate din 1,2 milioane de noduri-i, fișierul imagine va fi de aproximativ 35 Megaocteți.; un sistem de fișiere de 4 Gigaocteți. cu 15.000 de noduri-i utilizate din 550.000 de noduri-i va avea ca rezultat un fișier imagine de 3 Megaocteți.. Fișierele de imagine tind să fie destul de compresibile; un fișier imagine care ocupă 32 de Megaocteți. de spațiu pe disc va fi în general comprimat până la 3 sau 4 Megaocteți.

Dacă fișier-imagine este -, atunci ieșirea din e2image va fi trimisă la ieșirea standard, astfel încât ieșirea să poată fi direcționată către un alt program, cum ar fi gzip(1); (rețineți că, în prezent, acest lucru este acceptat numai atunci când se creează un fișier de imagine brută utilizând opțiunea -r, deoarece procesul de creare a unui fișier de imagine normal sau a unei imagini QCOW2 necesită în prezent acces aleatoriu la fișier, ceea ce nu se poate face utilizând o conductă.

OPȚIUNI

-a  Include date de fișier în fișierul imagine. În mod normal, e2image include doar metadatele sistemului de fișiere, nu și datele normale ale fișierului. Această opțiune va produce o imagine care poate fi utilizată pentru a clona întregul Sistem de fișiere sau în scopuri de copie de rezervă. Rețineți că această opțiune funcționează numai cu formatele raw (-r) sau QCOW2 (-Q). Împreună cu opțiunea -r, este posibilă clonarea tuturor și nu doar a blocurilor utilizate dintr-un sistem de fișiere pe un alt dispozitiv/fișier imagine.

-b super-bloc
    Obține o imagine de pe partiția cu superblocul primar deteriorat utilizând superblocul situat la numărul de bloc al sistemului de fișiere superblocul. Partiția este copiată așa cum este, inclusiv superblocul primar deteriorat.

-B dimensiune-bloc
    Stabilește dimensiunea blocurilor sistemului de fișiere în octeți. În mod normal, e2image va căuta superblocul la diferite dimensiuni de blocuri în încercarea de a găsi dimensiunea de bloc corespunzătoare. Această căutare poate fi păcălită în unele cazuri. Această opțiune forțează «e2fsck» să încerce să localizeze superblocul doar cu o anumită dimensiune a blocului. Dacă superblocul nu este găsit, «e2image» se va încheia cu o eroare fatală.

-c  Compară fiecare bloc care urmează să fie copiat de la sursa dispozitiv cu blocul corespunzător din fișierul țintă fișier-imagine. Dacă ambele sunt deja identice, scrierea va fi omisă. Acest lucru este util în cazul în care sistemul de fișiere este clonat pe un dispozitiv de stocare flash (unde citirile sunt foarte rapide și unde este de dorit să se evite scrierile inutile pentru a reduce uzura de scriere pe dispozitiv).

-f  Suprascrie cerința de numai-citire pentru sistemul de fișiere sursă atunci când salvează fișierul imagine utilizând opțiunile -r și -Q. În mod normal, dacă sistemul de fișiere sursă este în uz, este foarte probabil ca fișierul imagine rezultat să nu fie util. În unele cazuri în care sistemul de fișiere sursă este utilizat în mod constant, acest lucru poate fi mai bine decât să nu existe nicio imagine.

-I  instalează metadatele stocate în fișierul imagine înapoi pe dispozitiv. Poate fi utilizată pentru a restabili metadatele sistemului de fișiere înapoi pe dispozitiv în situații de urgență.

AVERTISMENT!!! Opțiunea -I ar trebui să fie utilizată doar ca măsură disperată, atunci când alte alternative au eșuat. În cazul în care sistemul de fișiere s-a modificat de la crearea fișierului imagine, datele vor fi pierdute. În general, ar trebui să realizați mai întâi o altă copie de rezervă completă a imaginii sistemului de fișiere, în cazul în care doriți să încercați ulterior alte strategii de recuperare.

-n  Determină ca toate scrierile de imagini să fie omise și, în schimb, să se afișeze doar numerele de bloc care ar fi fost scrise.

-o poziție-sursă
    Specifică poziția imaginii care urmează să fie citită de la începutul dispozitivul sursă în octeți. A se vedea POZIȚII pentru mai multe detalii.

-O poziție-tintă
    Specifică poziția de început a imaginii care urmează să fie scrisă de la începutul fișierului-țintă fișier-imagine în octeți. A se vedea POZIȚII pentru mai multe detalii.

-p  Afișează progresul creării fișierului de imagine.

-Q  Creează un fișier de imagine în format QCOW2 în loc de un fișier de imagine normal, potrivit pentru a fi utilizat de imaginile mașinilor virtuale și de alte instrumente care pot utiliza formatul de imagine .qcow. Pentru detalii, consultați secțiunea FIȘIERE DE IMAGINE QCOW2 de mai jos.

-r  Creează un fișier de imagine brută în loc de un fișier de imagine normal. Pentru detalii, consultați FIȘIERE DE IMAGINE BRUTĂ de mai jos.

-s  Amestecă intrările de directoare și elimină porțiunile neutilizate ale blocurilor de directoare din fișierul imagine scris pentru a evita dezvăluirea de informații despre conținutul sistemului de fișiere. Cu toate acestea, acest lucru va împiedica analizarea problemelor legate de directoarele indexate cu arbore de sume de control (hash).

FIȘIERE DE IMAGINE BRUTĂ
Opțiunea -r va crea un fișier de imagine brută, care diferă de un fișier de imagine normal în două feluri. În primul rând, metadatele sistemului de fișiere sunt plasate în aceeași poziție relativă în fișier-imagine ca și în dispozitiv, astfel încât debugfs(8), dumpe2fs(8), e2fsck(8), losetup(8) etc. pot fi rulate direct pe fișierul de imagine brută. Pentru a reduce la minimum spațiul pe disc consumat de fișierul de imagine brută, acesta este creat ca un fișier de tip dispersat; (atenție la copierea sau la comprimarea/decomprimarea acestui fișier cu instrumente care nu înțeleg cum se creează fișierele dispersate; fișierul va deveni la fel de mare ca și sistemul de fișiere însuși!). În al doilea rând, fișierul de imagine brută include, de asemenea, blocuri indirecte și blocuri de directoare, pe care fișierul de imagine standard nu le are.

Fișierele de imagine brută sunt uneori utilizate atunci când se trimit sisteme de fișiere către responsabilul de întreținere ca parte a rapoartelor de eroare către „e2fsprogs”. Atunci când se utilizează în această calitate, comanda recomandată este următoarea (înlocuiți hda1 cu dispozitivul corespunzător sistemului dumneavoastră):

  e2image -r /dev/hda1 - | bzip2 > hda1.e2i.bz2

Astfel, se vor trimite doar informațiile privind metadatele, fără blocuri de date. Cu toate acestea, numele fișierelor din blocurile de directoare pot dezvălui în continuare informații despre conținutul sistemului de fișiere pe care raportorul de erori ar putea dori să le păstreze confidențiale. Pentru a rezolva această problemă, opțiunea -s poate fi specificată pentru a „bruia” (amesteca) numele fișierelor din imagine.

Rețineți că acest lucru va funcționa chiar dacă înlocuiți /dev/hda1 cu o altă imagine de disc brută sau o imagine QCOW2 creată anterior de e2image.

FIȘIERE DE IMAGINE QCOW2
Opțiunea -Q va crea un fișier de imagine QCOW2 în loc de un fișier de imagine normală sau brută. O imagine QCOW2 conține toate informațiile pe care le conține o imagine brută, însă, spre deosebire de aceasta, nu este dispersată. Imaginea QCOW2 minimizează spațiul utilizat de imagine prin stocarea acesteia într-un format special care împachetează datele foarte strâns, evitând astfel găurile și minimizând în același timp dimensiunea.

Pentru a trimite sistemul de fișiere responsabilului de întreținere ca parte a raportului de eroare către „e2fsprogs”, utilizați următoarele comenzi (înlocuiți hda1 cu dispozitivul corespunzător pentru sistemul dumneavoastră):

    e2image -Q /dev/hda1 hda1.qcow2
    bzip2 -z hda1.qcow2

Astfel, se vor trimite doar informațiile privind metadatele, fără blocuri de date. Așa cum este descris pentru FIȘIERE DE IMAGINE BRUTĂ, opțiunea -s poate fi specificată pentru a amesteca numele fișierelor sistemului de fișiere din imagine.

Rețineți că imaginea QCOW2 creată de e2image este o imagine QCOW2 obișnuită și poate fi prelucrată de instrumente care cunosc formatul QCOW2, cum ar fi, de exemplu, qemu-img.

Puteți converti o imagine .qcow2 într-o imagine brută cu:

    e2image -r hda1.qcow2 hda1.raw

Acest lucru poate fi util pentru a scrie o imagine QCOW2 care conține toate datele într-un fișier imagine de tip dispersat „sparse”, care poate fi montat în buclă, sau pe o partiție de disc. Rețineți că este posibil ca acest lucru să nu funcționeze cu imagini QCOW2 care nu sunt generate de e2image.

POZIȚII
În mod normal, un sistem de fișiere începe la începutul unei partiții, iar e2image este rulat pe partiție. Atunci când lucrați cu fișiere imagine, nu aveți opțiunea de a utiliza dispozitivul partiției, astfel încât puteți specifica direct poziția de unde începe sistemul de fișiere cu ajutorul opțiunii -o. În mod similar, opțiunea -O specifică poziția care trebuie căutată în destinație înainte de a scrie sistemul de fișiere.

De exemplu, dacă aveți o imagine dd a unui disc dur întreg care conține un sistem de fișiere ext2 într-o partiție care începe la 1 Mio, puteți clona această imagine pe un dispozitiv bloc cu:

    e2image -aro 1048576 img /dev/sda1

Sau puteți clona un sistem de fișiere de pe un dispozitiv de blocuri într-un fișier imagine, lăsând loc în primul Mio pentru o tabelă de partiții cu:

    e2image -arO 1048576 /dev/sda1 img

Dacă specificați cel puțin o poziție și numai un singur fișier, se va efectua o mutare pe loc, ceea ce vă permite să mutați în siguranță sistemul de fișiere de la o poziție la alta.

AUTOR
e2image a fost scris de Theodore Ts'o (tytso@mit.edu).

DISPONIBILITATE
e2image face parte din pachetul „e2fsprogs” și este disponibil la http://e2fsprogs.sourceforge.net.

CONSULTAȚI ȘI
dumpe2fs(8), debugfs(8), e2fsck(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.